<?

$f_nadpis_stranky = $_POST['f_nadpis_stranky'];
$f_obsah_stranky = $_POST['f_obsah_stranky'];
$cislo = $_SESSION["cislo"];

/*if(ereg("^[-0-9a-zA-Z. _ěĚšŠčČřŘžŽýÝáÁíÍéÉůú]{1,60}$",$f_nadpis_stranky)){*/
if($f_nadpis_stranky == "" || $f_nadpis_stranky == " " ){
echo "<div id=\"info\"><div id=\"bad\">Nebyl zadán nadpis!<meta http-equiv='refresh' content='1;URL=index.php?id=stranky'></div></div>";

}
else{
$obsah ="
<?
\$nadpis = \"$f_nadpis_stranky\";
\$date = date('d. m. Y');
\$obsah_stranky = \"$f_obsah_stranky\";
?>
";
?>
<?
$file = FOpen ("../publikace/stranky/str$cislo.php", "w");
FWrite ($file, "$obsah"); 
FClose ($file);

if(File_Exists("../publikace/stranky/str$cislo.php")){
echo "<div id=\"info\"><div id=\"good\">Stránka úspěšně uložena a publikována<meta http-equiv='refresh' content='1;URL=index.php?id=stranky'></div></div>";
}
else{
echo "<div id=\"info\"><div id=\"bad\">Stránka <b>Ne</b>úspěšně uložena a publikována<meta http-equiv='refresh' content='1;URL=index.php?id=stranky'></div></div>";
}
}
/*}
else{
echo "<div id=\"info\"><div id=\"bad\">Nadpis stránky obsahuje nepovolené znaky<meta http-equiv='refresh' content='1;URL=index.php?id=stranky'></div></div>";
}*/
 unset($_SESSION['nadpis']); 
?>